Bug 1978284 - Remove stale cruft installed by CVO in earlier releases
Summary: Remove stale cruft installed by CVO in earlier releases
Keywords:
Status: NEW
Alias: None
Product: OpenShift Developer Tools and Services
Classification: Red Hat
Component: Helm
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3
Assignee: David Peraza
QA Contact: Pavel Macik
Preeti Chandrashekar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-01 12:57 UTC by Jack Ottofaro
Modified: 2023-04-29 08:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1975533
Environment:
Last Closed:
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
Spreadsheet containing leaked resources. (11.43 KB, text/plain)
2021-07-01 12:57 UTC, Jack Ottofaro
no flags Details

Description Jack Ottofaro 2021-07-01 12:57:46 UTC
Created attachment 1796798 [details]
Spreadsheet containing leaked resources.

+++ This bug was initially created as a clone of Bug #1975533 +++

This "stale cruft" is created as a result of the following scenario. Release A had manifest M that lead the CVO to reconcile resource R. But then the component maintainers decided they didn't need R any longer, so they dropped manifest M in release B. The new CVO will no longer reconcile R, but clusters updating from A to B will still have resource R in-cluster, as an unmaintained orphan.

Now that https://issues.redhat.com/browse/OTA-222 has been implemented teams can go back through and create deletion manifests for these leaked resources.

The attachment delete-candidates.csv contains a list of leaked resources as compared to a freshly installed 4.9 cluster. Use this list to find your component's resources and use the manifest delete annotation (https://github.com/openshift/cluster-version-operator/pull/438) to remove them.

Note also that in the case of a cluster-scoped resource it may not need to be removed but simply be modified to remove namespace.

Spreadsheet entry is:

HelmChartRepository redhat-helm-repo from 0000_50_console-operator_01-helm.yaml

Comment 1 David Peraza 2021-08-26 13:12:09 UTC
We need to tackle this with care we still want HelmChartRepository redhat-helm-repo cause it has charts that has not been migrated to HelmChartRepository openshift-helm-charts. Once all the charts have been migrated with owner we can remove redhat-helm-repo

Comment 2 Allen Bai 2021-08-26 17:46:10 UTC
To be specific, there are currently 4 charts under https://github.com/redhat-developer/redhat-helm-charts/tree/master/charts that haven't migrated yet:

 - ibm-b2bi-prod
 - ibm-cpq-prod
 - ibm-mongodb-enterprise-helm
 - ibm-sfg-prod

Comment 5 David Peraza 2022-04-05 00:46:37 UTC
Quick update on this: charts referenced by Allen above has not yet been migrated, will work on this once IBM send those to the new repo https://github.com/openshift-helm-charts/charts

Comment 6 Feny Mehta 2022-12-01 13:11:30 UTC
The charts 
- ibm-b2bi-prod
 - ibm-sfg-prod
have been migrated

Comment 7 kmamgain 2023-03-30 12:48:14 UTC
We do not see the charts in the  index https://charts.openshift.io/index.yaml.


Note You need to log in before you can comment on or make changes to this bug.